Groovy Documentation

## org.codehaus.groovy.grails.web.mapping
[Groovy] Class ForwardUrlMappingInfo

    java.lang.Object
      org.codehaus.groovy.grails.web.mapping.AbstractUrlMappingInfo
          org.codehaus.groovy.grails.web.mapping.ForwardUrlMappingInfo

    class ForwardUrlMappingInfo
    extends AbstractUrlMappingInfo

A customizable UrlMappingInfo instance used for forwards and includes.

Authors:
  Graeme Rocher

Since:
  1.1

Field Summary

Fields inherited from class AbstractUrlMappingInfo
params

Property Summary
`java.lang.String` | `URI`
`java.lang.String` | `actionName`
`java.lang.String` | `controllerName`
`java.lang.String` | `id`
`java.util.Map` | `parameters`
`java.lang.String` | `viewName`

Method Summary
`java.util.Map` | `getParameters()`
`boolean` | `isParsingRequest()`
`void` | `setAction(java.lang.String action)`
`void` | `setController(java.lang.String controller)`
`void` | `setParams(java.util.Map params)`
`void` | `setView(java.lang.String view)`

Methods inherited from class AbstractUrlMappingInfo
configure, evaluateNameForValue, evaluateNameForValue, populateParamsForMapping

Property Detail

### URI

    java.lang.String URI

### actionName

    java.lang.String actionName

### controllerName

    java.lang.String controllerName

### id

    java.lang.String id

### parameters

    java.util.Map parameters

### viewName

    java.lang.String viewName

Method Detail

### getParameters

    java.util.Map getParameters()

### isParsingRequest

    boolean isParsingRequest()

### setAction

    void setAction(java.lang.String action)

### setController

    void setController(java.lang.String controller)

### setParams

    void setParams(java.util.Map params)

### setView

    void setView(java.lang.String view)

Groovy Documentation